package com.ruoyi.powerdistribution.service;

import java.util.List;
import com.ruoyi.powerdistribution.domain.PdmScoreRankManager;

/**
 * 负责人积分排名Service接口
 *
 * @author ruoyi
 * @date 2024-12-05
 */
public interface IPdmScoreRankManagerService
{
    /**
     * 查询负责人积分排名
     *
     * @param id 负责人积分排名主键
     * @return 负责人积分排名
     */
    public PdmScoreRankManager selectPdmScoreRankManagerById(Long id);

    /**
     * 查询负责人积分排名列表
     *
     * @param pdmScoreRankManager 负责人积分排名
     * @return 负责人积分排名集合
     */
    public List<PdmScoreRankManager> selectPdmScoreRankManagerList(PdmScoreRankManager pdmScoreRankManager);

    /**
     * 新增负责人积分排名
     *
     * @param pdmScoreRankManager 负责人积分排名
     * @return 结果
     */
    public int insertPdmScoreRankManager(PdmScoreRankManager pdmScoreRankManager);

    /**
     * 修改负责人积分排名
     *
     * @param pdmScoreRankManager 负责人积分排名
     * @return 结果
     */
    public int updatePdmScoreRankManager(PdmScoreRankManager pdmScoreRankManager);

    /**
     * 批量删除负责人积分排名
     *
     * @param ids 需要删除的负责人积分排名主键集合
     * @return 结果
     */
    public int deletePdmScoreRankManagerByIds(Long[] ids);

    /**
     * 删除负责人积分排名信息
     *
     * @param id 负责人积分排名主键
     * @return 结果
     */
    public int deletePdmScoreRankManagerById(Long id);

    /**
     * 统计并保存负责人得分
     * @param startDate
     * @param endDate
     * @return
     */
    int saveRank(String startDate,String endDate);

    /**
     * 根据年分组统计排名
     * @return
     */
    List<PdmScoreRankManager> getManagerRankYearList(PdmScoreRankManager pdmScoreRankManager);
}
